using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


public class MyItemTemplate : ITemplate
{
    public void InstantiateIn(Control container)
    {
        // Create the <tr> element
        TableRow _row = new TableRow();

        // Add the employeeID <td>
        TableCell _empID = new TableCell();
        _empID.DataBinding += new EventHandler(BindEmpID);
        _row.Cells.Add(_empID);

        // Add the lastname <td>
        TableCell _lname = new TableCell();
        _lname.DataBinding += new EventHandler(BindLastName);
        _row.Cells.Add(_lname);

        // Add the firstname <td>
        TableCell _fname = new TableCell();
        _fname.DataBinding += new EventHandler(BindFirstName);
        _row.Cells.Add(_fname);

        // Add the row to the container
        container.Controls.Add(_row);
    }

    public void BindEmpID(object sender, EventArgs e)
    {
        TableCell cell = (TableCell) sender;
        RepeaterItem container = (RepeaterItem) cell.NamingContainer;
        object data = DataBinder.GetPropertyValue(container.DataItem, "EmployeeID");
        cell.Text = data.ToString();
    }

    public void BindLastName(object sender, EventArgs e)
    {
        TableCell cell = (TableCell) sender;
        RepeaterItem container = (RepeaterItem) cell.NamingContainer;
        object data = DataBinder.GetPropertyValue(container.DataItem, "LastName");
        cell.Text = data.ToString();
    }

    public void BindFirstName(object sender, EventArgs e)
    {
        TableCell cell = (TableCell) sender;
        RepeaterItem container = (RepeaterItem) cell.NamingContainer;
        object data = DataBinder.GetPropertyValue(container.DataItem, "FirstName");
        cell.Text = data.ToString();
    }
}

