using System;
using System.Configuration;
using System.Web.Configuration;
using System.Drawing;


namespace ProAspNet20.Advanced.CS.Components
{
    public class MyPagesSection : ConfigurationSection
    {
        private static readonly ConfigurationProperty propPageBackColor = null;

        static MyPagesSection()
        {
            MyPagesSection.propPageBackColor = new ConfigurationProperty(
               "pageBackColor", typeof(string), "yellow",
                ConfigurationPropertyOptions.IsRequired);
        }

        [ConfigurationProperty("pageBackColor")]
        public string PageBackColor
        {
            get
            {
                return (string) base[MyPagesSection.propPageBackColor];
            }
            set
            {
                base[MyPagesSection.propPageBackColor] = value;
            }
        }
    }
}
