using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;



public partial class TestRefresh : ProAspNet20.Advanced.CS.Components.Page
{
    protected void AddContactButton_Click(object sender, EventArgs e)
    {
        Msg.InnerText = "Hinzugefgt";
        if (!this.IsRefreshed)
            AddRecord(FName.Text, LName.Text);
        else
            Msg.InnerText = "Seite aktualisiert";

        BindData();
    }

    protected void ResetButton_Click(object sender, EventArgs e)
    {
        // Clear the database
        string connString = ConfigurationManager.ConnectionStrings["Humans"].ConnectionString;
        OleDbConnection conn = new OleDbConnection(connString);
        OleDbCommand cmd = new OleDbCommand("DELETE FROM contacts", conn);
        conn.Open();
        cmd.ExecuteNonQuery();
        conn.Close();
        BindData();
    }

    #region Helpers
    private void AddRecord(string fname, string lname)
    {
        string connString = ConfigurationManager.ConnectionStrings["Humans"].ConnectionString;
        OleDbDataAdapter adapter = new OleDbDataAdapter("SELECT * FROM contacts", connString);
        DataTable table = new DataTable();
        adapter.Fill(table);

        DataRow row = table.NewRow();
        row["FirstName"] = fname;
        row["LastName"] = lname;
        table.Rows.Add(row);

        OleDbCommandBuilder builder = new OleDbCommandBuilder(adapter);
        adapter.Update(table);
    }

    private void BindData()
    {
        string connString = ConfigurationManager.ConnectionStrings["Humans"].ConnectionString;
        OleDbDataAdapter adapter = new OleDbDataAdapter("SELECT * FROM contacts", connString);
        DataTable table = new DataTable();
        adapter.Fill(table);

        grid.DataSource = table;
        grid.DataBind();
    }
    #endregion

}
