using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using Ajax;
using ProAspNet20.Components.Ajax;

public partial class TestAjax : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Utility.RegisterTypeForAjax(typeof(TestAjax));
        Utility.RegisterTypeForAjax(typeof(ProAspNet20.Components.Ajax.Customer));
        Utility.RegisterTypeForAjax(typeof(ProAspNet20.Components.Ajax.UnknownCustomer));
    }


    [AjaxMethod()]
    public Customer GetCustomerByID(string customerID)
    {
        // Place here any code to retrieve customer information
        // from a database
        switch (customerID)
        {
            case "1":
                return new Customer("John", "Doe");
            case "3":
                return new Customer("Jim", "Idontknowthisguy");
            default:
                return new UnknownCustomer();
        }
    }
}


