﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="OrderViewer.aspx.cs" Inherits="OrderViewer" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<script type="text/javascript">
   function UpdateOrders(result)
   {
      var childDropDown = document.forms[0].elements['<%=listOrders.UniqueID%>'];

      if (!childDropDown)
         return;

      childDropDown.length = 0;

      if (!result)
          return;
      
      var listOrders = document.getElementById("listOrders");
      var rows = result.split(','); 
      for (var i = 0; i < rows.length; ++i)
      {
         var option = document.createElement("OPTION");
         option.value = rows[i];
         option.innerHTML = rows[i];     
         listOrders.appendChild(option);
      }
      
      listOrders.style.visibility = "visible";
   }

   function ShowError(result, context)
   {
      alert(result);
   }
</script>


<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
   <title>Orders Viewer</title>
</head>
<body>
    <form id="Form1" runat="server">
        <h2>
            Bestellungen anzeigen</h2>

        <asp:SqlDataSource runat="server" ID="EmpSource"
            ConnectionString="<%$ ConnectionStrings:LocalNWind %>"
            SelectCommand="SELECT employeeid, lastname FROM employees" /> 
        <asp:DropDownList ID="listEmployees" runat="server"
            DataSourceID="EmpSource" DataTextField="lastname" DataValueField="employeeid"
            onchange="ShowOrders(this.options[this.selectedIndex].value);" />

        <asp:DropDownList runat="server" ID="listOrders" style="visibility:hidden" />

        <asp:Label ID="Label1" runat="server" />
    </form>
</body>
</html>

