﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Portal.aspx.cs" Inherits="Portal" %>
<%@ Register tagprefix="x" tagname="News" src="../UserControls/News.ascx" %>
<%@ Register tagprefix="x" tagname="Favorites" src="../UserControls/Favorites.ascx" %>
<%@ Register tagprefix="x" namespace="ProAspNet20.Advanced.CS.Components" Assembly="ProAspCompLib" %>
<%@ Register tagprefix="x" tagname="ModeSwitcher" src="../UserControls/ModeSwitcher.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>A Simple Portal</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Panel ID="Panel1" runat="server" HorizontalAlign="Center"
            BackColor="Info" BorderStyle="Outset" BorderWidth="1px">
            <div style="margin:5px;">
                <span>
                Bevor Sie diese Seite testen, müssen Sie die Konfigurationsdatei der Anwendung
                modifizieren, um die Benutzerauthentifizierung zu aktivieren. Öffnen Sie 
                <b>web.config</b>, und befolgen Sie die Anweisungen in den Kommentaren.
                </span>
            </div>
        </asp:Panel>
        <br />    
        <table style="border-bottom:solid 1px black;background-color:Silver" width="100%"><tr>
            <td align="left">
               <asp:LoginName runat="server" ID="LoginName1" Font-Names="verdana" Font-Size="small" FormatString="Willkommen, <b>{0}</b>" />
               <asp:LoginStatus runat="server" id="LoginStatus1" Font-Names="Verdana" Font-Size="Small" /></td>
            <td align="right"><x:ModeSwitcher runat="server" id="Switcher" /></td>                                
        </tr></table>
        
        <asp:WebPartManager ID="WebMan" runat="server">
           <StaticConnections>
               <asp:WebPartConnection ID="Conn1"
                   ProviderID="emp"
                   ProviderConnectionPointID="EmployeeIDProvider"
                   ConsumerID="ord" 
                   ConsumerConnectionPointID="EmployeeIDConsumer" />
           </StaticConnections>

        </asp:WebPartManager> 

        <table><tr>
        <td valign="top">
            <asp:WebPartZone ID="WebPartZone1" runat="server" HeaderText="Zone #1" 
                PartChromeType="TitleAndBorder" BorderColor="#CCCCCC" Padding="6" Font-Names="Verdana" WebPartVerbRenderMode="TitleBar">
                <PartTitleStyle Font-Size="0.8em" Font-Bold="True" BackColor="#507CD1" Font-Names="verdana" ForeColor="White" />
                <MenuVerbStyle BorderColor="#507CD1" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" /> 
                <PartChromeStyle BackColor="#EFF3FB" BorderColor="#D1DDF1" Font-Names="Verdana" ForeColor="#333333" />
                <MenuLabelHoverStyle ForeColor="#D1DDF1" />
                <EmptyZoneTextStyle Font-Size="0.8em" />
                <MenuLabelStyle ForeColor="White" />
                <MenuVerbHoverStyle BackColor="#EFF3FB" BorderColor="#CCCCCC" BorderStyle="Solid"
                    BorderWidth="1px" ForeColor="#333333" />
                <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                <ZoneTemplate>
                    <x:News runat="server" id="News" Title="Nachrichten des Tages" />
                    <x:Favorites runat="server" id="Favs" />
                </ZoneTemplate>
                <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                <MenuPopupStyle BackColor="#507CD1" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                    Font-Size="0.6em" />
            </asp:WebPartZone>
        </td>
        <td style="width: 97px" valign="top">
            <asp:WebPartZone ID="WebPartZone2" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana" HeaderText="Zone #2" Padding="6">
                <PartChromeStyle BackColor="#EFF3FB" BorderColor="#D1DDF1" Font-Names="Verdana" ForeColor="#333333" />
                <MenuLabelHoverStyle ForeColor="#D1DDF1" />
                <EmptyZoneTextStyle Font-Size="0.8em" />
                <MenuLabelStyle ForeColor="White" />
                <MenuVerbHoverStyle BackColor="#EFF3FB" BorderColor="#CCCCCC" BorderStyle="Solid"
                    BorderWidth="1px" ForeColor="#333333" />
                <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />

                <MenuVerbStyle BorderColor="#507CD1" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                <MenuPopupStyle BackColor="#507CD1" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                    Font-Size="0.6em" />
                <PartTitleStyle BackColor="#507CD1" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                <ZoneTemplate>
                    <asp:Calendar ID="Calendar1" runat="server" Title="Heute" ExportMode="All">
                        <TodayDayStyle BackColor="#FF8000" />
                    </asp:Calendar> 
                    <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0">
                        <WizardSteps>
                            <asp:WizardStep ID="WizardStep1" runat="server" Title="Schritt 1">
                            </asp:WizardStep>
                            <asp:WizardStep ID="WizardStep2" runat="server" Title="Schritt 2">
                            </asp:WizardStep>
                        </WizardSteps>
                    </asp:Wizard>
                    <x:StockViewerWebPart runat="server" ExportMode="All" id="MyStocks" RefreshRate="5" Font-Size="85%" Stocks="XYZ,MYCOMP,FOO,BAR" Title="Stock Viewer" BackColor="WhiteSmoke" ScrollBars="Auto" BorderColor="#00C0C0" BorderStyle="Outset" BorderWidth="1px" HelpMode="Modal" />
                   <x:EmployeesWebPart runat="server" id="emp" Title="Angestellteninfo" width="400px" />   
                   <x:OrdersWebPart runat="server" id="ord" Title="Bestellungen 1997" Height="200px" ScrollBars="Auto" />    
                </ZoneTemplate>            
           </asp:WebPartZone>
        </td>
        <td>
        <asp:EditorZone ID="EditorZone1" runat="server" BackColor="#EFF3FB" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana" Padding="6">
              <ZoneTemplate>
                <asp:AppearanceEditorPart runat="server" ID="AppearanceEditorPart1" Font-Size="85%" />
                <asp:BehaviorEditorPart runat="server" ID="BehaviorEditorPart1" Font-Size="85%" />
                <asp:LayoutEditorPart runat="server" ID="LayoutEditorPart1" Font-Size="85%" />
                <asp:PropertyGridEditorPart runat="server" ID="PropertyGridEditorPart1" Title="Custom Properties" Font-Size="85%" />
              </ZoneTemplate>
            <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
            <HeaderStyle BackColor="#D1DDF1" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
            <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
            <PartChromeStyle BorderColor="#D1DDF1" BorderStyle="Solid" BorderWidth="1px" />
            <PartStyle BorderColor="#EFF3FB" BorderWidth="5px" />
            <FooterStyle BackColor="#D1DDF1" HorizontalAlign="Right" />
            <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
            <ErrorStyle Font-Size="0.8em" />
            <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
            <PartTitleStyle Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
        </asp:EditorZone>
        </td>
        <td valign="top">
        <asp:CatalogZone ID="CatalogZone1" runat="server" BackColor="#EFF3FB" BorderColor="#CCCCCC"
                   BorderWidth="1px" Font-Names="Verdana" Padding="6">
                   <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
                   <PartTitleStyle BackColor="#507CD1" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                   <FooterStyle BackColor="#D1DDF1" HorizontalAlign="Right" />
                   <PartChromeStyle BorderColor="#D1DDF1" BorderStyle="Solid" BorderWidth="1px" />
                   <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
                   <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
                   <PartLinkStyle Font-Size="0.8em" />
                   <SelectedPartLinkStyle Font-Size="0.8em" />
                   <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                   <HeaderStyle BackColor="#D1DDF1" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                   <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
                   <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                   <PartStyle BorderColor="#EFF3FB" BorderWidth="5px" />
                   <ZoneTemplate>
                      <asp:PageCatalogPart ID="PageCatalogPart1" runat="server" />
                      <asp:DeclarativeCatalogPart ID="DeclarativeCatalogPart1" runat="server" Title="Optionale Webparts">
                          <WebPartsTemplate>
                              <x:WeatherWebPart runat="server" ID="Weather1" ZipCode="00015" Title="Wetter" />
                              <x:SportChannelWebPart runat="server" ID="SportChannel1" Title="Sport" />
                              <x:BookFinderWebPart runat="server" ID="BookFinder1" Title="Bücher" />
                          </WebPartsTemplate>
                      </asp:DeclarativeCatalogPart>
                      <asp:ImportCatalogPart ID="ImportCatalogPart1" runat="server" />
                   </ZoneTemplate>
       </asp:CatalogZone>
       </td>
       <td valign="top">
           <asp:ConnectionsZone ID="ConnectionsZone1" runat="server" BackColor="#EFF3FB" BorderColor="#CCCCCC"
               BorderWidth="1px" Font-Names="Verdana" Padding="6">
               <FooterStyle BackColor="#D1DDF1" HorizontalAlign="Right" />
               <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
               <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
               <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
               <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
               <HeaderStyle BackColor="#D1DDF1" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
               <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
           </asp:ConnectionsZone>

       </td> 
       </tr></table>   
    </div>
    </form>
</body>
</html>
