<%@ Control Language="C#" ClassName="MyFavorites" %>
<%@ Implements Interface="System.Web.UI.WebControls.WebParts.IWebPart" %>

<script runat="server">
    private String _catalogIconImageUrl;
    private String _description;
    private String _title = "Lieblingslinks";
    private String _subtitle = String.Empty;
    private String _titleIconImageUrl;
    private String _titleUrl;
    
    string IWebPart.CatalogIconImageUrl 
    {
        get { return _catalogIconImageUrl; }
        set { _catalogIconImageUrl = value;  } 
    }
    string IWebPart.Description
    {
        get { return _description; }
        set { _description = value; }
    }
    string IWebPart.Subtitle 
    {
        get { return _subtitle; }
    }
    string IWebPart.Title
    {
        get { return _title; }
        set { _title = value; }
    }
    string IWebPart.TitleIconImageUrl 
    {
        get { return _titleIconImageUrl; }
        set { _titleIconImageUrl = value; }
    }
    string IWebPart.TitleUrl
    {
        get { return _titleUrl; }
        set { _titleUrl = value; }
    }
</script>

<asp:XmlDataSource ID="XmlData" runat="server" DataFile="../../../App_Data/webpartsdata.xml"
    XPath="WebPartsData/Favorite" />
    
<asp:Repeater ID="Repeater1" DataSourceID="XmlData" runat="server">
    <HeaderTemplate>
        <h2>Meine Favoriten</h2>
        <ul>
    </HeaderTemplate> 
    <SeparatorTemplate>
        <br /><br />
    </SeparatorTemplate>
    <ItemTemplate>
        <li>
        <a href='<%# XPath("url")%>'><b><%# XPath("title")%></b></a>
        <br />
        <span style="font-size:85%">
            <%# XPath("description") %>
            </span> 
            </li>
    </ItemTemplate>
    <FooterTemplate>
        </ul>
    </FooterTemplate>
</asp:Repeater>
