using System;
using System.Configuration;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Reflection;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;

public partial class FromResources : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Assembly dll = Assembly.LoadWithPartialName("system.web");
            string[] resources = dll.GetManifestResourceNames();
            ResourceNames.DataSource = resources;
            ResourceNames.DataBind();
        }
    }

    protected void buttonSave_Click(object sender, EventArgs e)
    {
        string resourceName = ResourceNames.SelectedValue;
        System.Drawing.Image img = LoadImageFromResources(resourceName);
        if (img != null)
        {
            string path = string.Format(@"c:\{0}", resourceName);
            StreamWriter bin = new StreamWriter(path);
            MemoryStream ms = new MemoryStream();
            img.Save(ms, ImageFormat.Jpeg);
            img.Dispose();
            ms.WriteTo(bin.BaseStream);

            ms.Close();
            bin.Close();

            // Etwas Skriptcode einspeisen
            string js = "alert('Fertig.');";
            ClientScript.RegisterStartupScript(this.GetType(), "Alert", js, true);
        }
    }

    private System.Drawing.Image LoadImageFromResources(string imageID)
    {
        Assembly dll = Assembly.LoadWithPartialName("system.web");
        Bitmap img = new Bitmap(dll.GetManifestResourceStream(imageID));
        return img;
    }
}
