﻿<%@ Page Language="C#" Theme="ProAspNet20" AutoEventWireup="true" CodeFile="CustomerList.aspx.cs" Inherits="CustomerList" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">


<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Kunden</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:datalist runat="server" id="Picker" repeatlayout="flow" repeatdirection="horizontal" OnItemCommand="ItemCommand">
            <ItemTemplate>
		            <asp:button ID="Button1" runat="server" style="border:solid 1px gray;width:30px;"
			            backcolor='<%# GetBackColor(Container.DataItem) %>' 
			            forecolor='<%# GetForeColor(Container.DataItem) %>' 
			            text='<%# Eval("Initial")%>' 
			            commandname='<%# Eval("Initial")%>' />
            </ItemTemplate>
        </asp:datalist>
        
        
        <div style="border:solid 1px gray;">
            <asp:datalist runat="server" id="Customers" 
	            RepeatLayout="flow"
	            DataKeyField="customerid">
            	
	            <SelectedItemStyle backcolor="cyan" width="100%" />
            	
	            <HeaderTemplate>
		            <div style="background-color:gray;color:white;height:20px;">&nbsp;
		            <big><b><%# SetHeader() %></b></big></div>
		            <div style="background-color:white;height:260px;overflow:auto;">
	            </HeaderTemplate>

	            <ItemTemplate>
		            <span id='<%# Eval("customerid") %>'>
		            <span style="display:none;">
			            <%# m_checkBox = (CheckBox) FindCheckBox(Container) %>
		            </span>

		            <asp:checkbox runat="server" id="ExpandButton" /> 
		            <asp:linkbutton ID="Linkbutton1" runat="server" commandname="select"
			            text='<%# SetCustomerName(Container.DataItem) %>' />
		            <br>
		            <%# ShowInfoBar(Container.DataItem) %>
		            <%# ShowAddressBar(Container.DataItem) %>
		            </span>
	            </ItemTemplate>
            	
	            <SeparatorTemplate>
	            </SeparatorTemplate>
            	
	            <FooterTemplate>
		            </div>
		            <div style="background-color:gray;color:white;height:20px;">&nbsp;<b><%# SetFooter() %></b></div>
	            </FooterTemplate>
            </asp:datalist>
        </div>        
        
        <br> 
        <asp:button ID="Button2" runat="server" text="Aktualisieren" onclick="OnRefresh" font-bold="true" style="border:solid 1px gray;width=80px;" />

    </div>
    </form>
</body>
</html>
