﻿<%@ Page Language="C#" Theme="ProAspNet20" AutoEventWireup="true" CodeFile="ClickableRepeater.aspx.cs" Inherits="ClickableRepeater" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Repeater in Aktion</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server"
            ConnectionString="<%$ ConnectionStrings:LocalNWind %>"
            SelectCommand="SELECT TOP 7 * FROM customers">
        </asp:SqlDataSource>

            
        <asp:repeater runat="server" id="Repeater1" DataSourceID="SqlDataSource1" 
            OnItemCommand="Repeater1_ItemCommand">
            <HeaderTemplate>
                <div style="background-color:yellow;"><h2>Kunden</h2></div>
            </HeaderTemplate>

            <ItemTemplate>
                <asp:Button runat="server" id="ExpandButton" CommandName="Expand" />
                
                <%# ShowHeader(Container.DataItem) %><br>
                <asp:panel runat="server" id="ExtraInfo" visible="false">
                    <%# ShowInfoBar(Container.DataItem) %>
                    <%# ShowAddressBar(Container.DataItem) %>
                </asp:panel>
            </ItemTemplate>

            <SeparatorTemplate>
                <hr style="border:dashed 1px black;height:1px;" />
            </SeparatorTemplate>
        </asp:repeater>
    </div>
    </form>
</body>
</html>
