﻿<%@ Page Language="C#" Theme="ProAspNet20" AutoEventWireup="true" CodeFile="Repeater.aspx.cs" Inherits="Repeater" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Repeater in Aktion</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server"
            ConnectionString="<%$ ConnectionStrings:LocalNWind %>"
            SelectCommand="SELECT TOP 7 * FROM customers">
        </asp:SqlDataSource>

        <asp:linkbutton ID="Linkbutton1" runat="server" text="Weitere Informationen anzeigen" OnClick="OnRefresh" />
        <br><br>
            
        <asp:repeater runat="server" id="Repeater1" DataSourceID="SqlDataSource1">
            <HeaderTemplate>
                <div style="background-color:yellow;"><h2>Kunden</h2></div>
            </HeaderTemplate>

            <ItemTemplate>
                <span style="display:none;">
                    <%# m_checkBox = (CheckBox) FindCheckBox(Container) %>
            </span>

            <asp:checkbox runat="server" id="ExpandButton" />
                <%# ShowHeader(Container.DataItem) %><br>
                <%# ShowInfoBar(Container.DataItem) %>
                <%# ShowAddressBar(Container.DataItem) %>
            </ItemTemplate>

            <SeparatorTemplate>
                <hr style="border:dashed 1px black;height:1px;" />
            </SeparatorTemplate>
        </asp:repeater>
    </div>
    </form>
</body>
</html>
