using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Repeater : System.Web.UI.Page
{
    protected CheckBox m_checkBox;

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected string ShowHeader(object dataItem)
    {
        // Determine the color to use 
        string color = (m_checkBox.Checked ? "blue" : "black");

        // Set up the pattern of the final HTML string
        string _output = "<b style='color:{0};'>{1}&nbsp;-&nbsp;{2}</b>";

        // Fill in the placeholders
        _output = String.Format(_output,
            color,
            DataBinder.GetPropertyValue(dataItem, "customerid"),
            DataBinder.GetPropertyValue(dataItem, "companyname"));

        // Return the output string
        return _output;
    }

    protected string ShowInfoBar(object dataItem)
    {
        string color = (m_checkBox.Checked ? "blue" : "black");
        string _output = "<span style='color:{0};'>(<i>{1}, {2}</i>)</span>";

        _output = String.Format(_output, 
            color, 
            DataBinder.GetPropertyValue(dataItem, "contactname"),
            DataBinder.GetPropertyValue(dataItem, "contacttitle"));

        return _output;
    }

    protected string ShowAddressBar(object dataItem)
    {
        if (!m_checkBox.Checked)
            return "";

        string color = (m_checkBox.Checked ? "blue" : "black");
        string _output = "<br><span style='color:{0};'>{1}, {2} ({3})<br>{4}</span>";

        _output = String.Format(_output, 
            color,
            DataBinder.GetPropertyValue(dataItem, "address"),
            DataBinder.GetPropertyValue(dataItem, "city"),
            DataBinder.GetPropertyValue(dataItem, "country"),
            DataBinder.GetPropertyValue(dataItem, "phone"));

        return _output;
    }

    protected CheckBox FindCheckBox(Control container)
    {
        // Retrieve the item-specific instance of the checkbox
        CheckBox ctl = (CheckBox) container.FindControl("ExpandButton");
        if (ctl == null)
            return null;

        // Update the state of the control
        ctl.Checked = (Page.Request[ctl.UniqueID] == "on");

        // Return the instance of the control 
        return ctl;
    }

    public void OnRefresh(object sender, EventArgs e)
    {
        Repeater1.DataBind();
    }
}
