using System;

namespace ProAspNet20.Components.Ajax
{
    [Serializable]
    public class Customer
    {
        private string _lastName;
        private string _firstName;

        public Customer()
        {
        }

        public Customer(string firstName, string lastName)
        {
            _firstName = firstName;
            _lastName = lastName;
        }

        public string FirstName
        {
            get { return _firstName; }
            set { _firstName = value; }
        }

        public string LastName
        {
            get { return _lastName; }
            set { _lastName = value; }
        }

        public virtual string Type
        {
            get { return "Customer"; }
        }
    }
}
