using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;


namespace ProAspNet20.Components
{
	public partial class Customer
	{
		public override string ToString()
		{
			return String.Format("{0} ({1})", this.CompanyName, this.Country);
		}
	}

	public partial class Customers
	{
		public static CustomerCollection GetCustomers()
		{
			SqlDataAdapter adapter = new SqlDataAdapter("SELECT companyname, contactname, country FROM customers",
				Customers.ConnectionString);
			DataTable dt = new DataTable();
			adapter.Fill(dt);

			CustomerCollection coll = new CustomerCollection();
			foreach (DataRow row in dt.Rows)
			{
				Customer c = new Customer();
				c.CompanyName = (string) row[0];
				c.Contact = (string) row[1];
				c.Country = (string) row[2];
				coll.Add(c);
			}

			return coll;
		}
	}
}