using System;
using System.Web.UI.WebControls;

namespace ProAspNet20.Advanced.CS.Components
{
    public class Hyperlink : System.Web.UI.WebControls.HyperLink
    {
        public string RedirectPage
        {
            get
            {
                object o = ViewState["RedirectPage"];
                if (o == null)
                    return "redir.aspx";
                else
                    return (string)o;
            }
            set { ViewState["RedirectPage"] = value; }
        }

        public new string NavigateUrl
        {
            get { return base.NavigateUrl; }
            set
            {
                string url = "{0}?page={1}";
                url = String.Format(url, RedirectPage, value);
                base.NavigateUrl = url;
            }
        }
    }
}
