using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Configuration;
using System.Net.Configuration;


public partial class ReadConfig : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string section = @"system.web/httpHandlers";
        string path = Request.CurrentExecutionFilePath;

        Configuration siteConfig = WebConfigurationManager.OpenWebConfiguration("/");
        HttpHandlersSection siteHandlers = (HttpHandlersSection) siteConfig.GetSection(section);
        EnumerateHandlers(siteHandlers, ListBox1);


        Configuration appConfig = WebConfigurationManager.OpenWebConfiguration(path);
        HttpHandlersSection appHandlers = (HttpHandlersSection) appConfig.GetSection(section);
        EnumerateHandlers(appHandlers, ListBox2);

        string section1 = @"system.net/webRequestModules";
        Configuration cfg = ConfigurationManager.OpenMachineConfiguration();
        WebRequestModulesSection obj = (WebRequestModulesSection) cfg.GetSection(section1);
        EnumerateRequestModules(obj, ListBox3);
    }

    void EnumerateHandlers(HttpHandlersSection section, ListBox ctl)
    {
        foreach (HttpHandlerAction h in section.Handlers)
        {
            ctl.Items.Add(h.Path); 
        }
    }

    void EnumerateRequestModules(WebRequestModulesSection section, ListBox ctl)
    {
        foreach (WebRequestModuleElement m in section.WebRequestModules)
        {
            ctl.Items.Add(m.Prefix);
        }
    }
}
