﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="UserLinks.aspx.cs" Inherits="UserLinks" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Make Your Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel ID="Panel1" runat="server" HorizontalAlign="Center"
            BackColor="Info" BorderStyle="Outset" BorderWidth="1px">
            <div style="margin:5px;">
                <span>
                Bevor Sie diese Seite testen, stellen Sie sicher, dass Sie die Konfigurationsdatei 
                der Beispielanwendung modifiziert haben, um die Benutzerauthentifizierung zu aktivieren. 
                Öffnen Sie <b>web.config</b>, und befolgen Sie die Anweisungen in den Kommentaren. 
                </span>
            </div>
        </asp:Panel>
        <br />
        
        <table style="width:100%;border:solid 1px black;background-color:white"><tr>
            <td><asp:loginname ID="CurrentUser" runat="server" FormatString="Welcome, {0}" /></td>
            <td align="right"><asp:loginstatus ID="Loginstatus1" runat="server" 
                                LogoutText="Log off" LogoutAction="Refresh" /></td>
        </tr></table>
        
        <h1>Build this page the way you like.</h1>
        <h2>This page is using a custom profile provider</h2>
         
        <asp:Panel runat="server" ID="InfoPanel" BackColor="AliceBlue" BorderStyle="Outset" BorderWidth="1px">
            <span><b>Add your favorite links and change colors</b></span>
            <hr />
            <table style="width:80%;margin:5px;"><tr>
                <td valign="top">
                    <asp:PlaceHolder runat="server" ID="Favorites" />
                </td>
                <td valign="top" align="right">
                    <asp:MultiView runat="server" ID="Options" ActiveViewIndex="0">
                        <asp:View runat="server" ID="MenuOptions">
                            <asp:LinkButton runat="server" text="Click here to edit" OnClick="OnEditOptions" /> 
                        </asp:View>
                        <asp:View runat="server" ID="ChangeOptions">
                            <h2>Options</h2>
                            <table>
                                <tr>
                                    <td><asp:textbox runat="server" id="NewBackColor" tooltip="Enter background color" /></td>
                                    <td><asp:button runat="server" id="button1" width="105px" text="Set Back Color" onclick="OnSetBackColor" /></td>
                                </tr><tr>
                                    <td><asp:textbox runat="server" id="NewForeColor" tooltip="Enter foreground color" /></td>
                                    <td><asp:button runat="server" id="button3" width="105px" text="Set Fore Color" onclick="OnSetForeColor" /></td>
                                </tr><tr>
                                    <td><asp:textbox runat="server" id="NewLink" tooltip="Enter a new URL" /></td>
                                    <td><asp:button runat="server" id="button2" width="105px" text="Add Link" onclick="OnAddLink" /></td>
                                </tr>
                            </table>                            
                            <asp:LinkButton ID="LinkButton1" runat="server" text="Close" OnClick="OnCloseOptions" /> 
                        </asp:View>
                    </asp:MultiView>
                </td>
            </tr></table>
        </asp:Panel>
    </form>
</body>
</html>
