using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Threading;


public partial class RssAsync : System.Web.UI.Page
{
    private const string RSSFEED1 = "http://weblogs.asp.net/despos/rss.aspx";
    private const string RSSFEED2 = "http://blogs.ugidotnet.org/dinoes/rss.aspx";
    RssFeedAsyncReader rss1, rss2;
    public string rssData;

    void Page_Load (object sender, EventArgs e)
    {
        this.PreRenderComplete += new EventHandler(RssAsync_PreRenderComplete);

        rss1 = new RssFeedAsyncReader(RSSFEED1);
        rss2 = new RssFeedAsyncReader(RSSFEED2);

        PageAsyncTask task1 = new PageAsyncTask(
            new BeginEventHandler(rss1.BeginRead),
            new EndEventHandler(rss1.EndRead),
            null,
            null,
            true);
        PageAsyncTask task2 = new PageAsyncTask(
            new BeginEventHandler(rss2.BeginRead),
            new EndEventHandler(rss2.EndRead),
            null,
            null,
            true);

        RegisterAsyncTask(task1);
        RegisterAsyncTask(task2);
    }

    void RssAsync_PreRenderComplete(object sender, EventArgs e)
    {
        rssData = rss1.GetRssData() + rss2.GetRssData();
    }
    
}


