﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Parts.aspx.cs" Inherits="Parts" %>
<%@ Register tagprefix="x" tagname="News" src="../UserControls/News.ascx" %>
<%@ Register tagprefix="x" tagname="Favorites" src="../UserControls/Favorites.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Simple Web Parts</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Demonstration WebParts-Zonen</h1>

        <asp:WebPartManager ID="WebMan" runat="server" />

        <table><tr>
        <td valign="top">
            <asp:WebPartZone ID="WebPartZone1" runat="server" HeaderText="Dies ist Zone #1" 
                PartChromeType="TitleAndBorder" BorderColor="#CCCCCC" Padding="6" Font-Names="Verdana" WebPartVerbRenderMode="TitleBar">
                <PartTitleStyle Font-Size="0.8em" Font-Bold="True" BackColor="#507CD1" Font-Names="verdana" ForeColor="White" />
                <MenuVerbStyle BorderColor="#507CD1" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" /> 
                <PartChromeStyle BackColor="#EFF3FB" BorderColor="#D1DDF1" Font-Names="Verdana" ForeColor="#333333" />
                <MenuLabelHoverStyle ForeColor="#D1DDF1" />
                <EmptyZoneTextStyle Font-Size="0.8em" />
                <MenuLabelStyle ForeColor="White" />
                <MenuVerbHoverStyle BackColor="#EFF3FB" BorderColor="#CCCCCC" BorderStyle="Solid"
                    BorderWidth="1px" ForeColor="#333333" />
                <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                <ZoneTemplate>
                    <x:News runat="server" id="News" Title="Meldungen des Tages" />
                    <x:Favorites runat="server" id="Favs" />
                </ZoneTemplate>
                <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                <MenuPopupStyle BackColor="#507CD1" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                    Font-Size="0.6em" />
            </asp:WebPartZone>
        </td>
        <td style="width: 97px" valign="top">
            <asp:WebPartZone ID="WebPartZone2" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana" HeaderText="Dies ist Zone #2" Padding="6">
                <PartChromeStyle BackColor="#EFF3FB" BorderColor="#D1DDF1" Font-Names="Verdana" ForeColor="#333333" />
                <MenuLabelHoverStyle ForeColor="#D1DDF1" />
                <EmptyZoneTextStyle Font-Size="0.8em" />
                <MenuLabelStyle ForeColor="White" />
                <MenuVerbHoverStyle BackColor="#EFF3FB" BorderColor="#CCCCCC" BorderStyle="Solid"
                    BorderWidth="1px" ForeColor="#333333" />
                <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />

                <MenuVerbStyle BorderColor="#507CD1" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                <MenuPopupStyle BackColor="#507CD1" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                    Font-Size="0.6em" />
                <PartTitleStyle BackColor="#507CD1" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                <ZoneTemplate>
                    <asp:Calendar ID="Calendar1" runat="server" Title="Heute" >
                        <TodayDayStyle BackColor="#FF8000" />
                    </asp:Calendar> 
                    <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0">
                        <WizardSteps>
                            <asp:WizardStep ID="WizardStep1" runat="server" Title="Schritt 1">
                            </asp:WizardStep>
                            <asp:WizardStep ID="WizardStep2" runat="server" Title="Schritt 2">
                            </asp:WizardStep>
                        </WizardSteps>
                    </asp:Wizard>
                </ZoneTemplate>            
           </asp:WebPartZone>
        </td>
        </tr></table>   
    </div>
    </form>
</body>
</html>
