<%@ Control Language="C#" ClassName="ModeSwitcher" %>

<script runat="server">
    WebPartManager _manager;

    void Page_Load(object sender, EventArgs e)
    {
        _manager = WebPartManager.GetCurrentWebPartManager(Page);
        if (!IsPostBack)
        {

            foreach (WebPartDisplayMode mode in _manager.SupportedDisplayModes)
            {
                if (mode.IsEnabled(_manager))
                    SupportedModes.Items.Add(mode.Name);
            }
        }
    }

    public void SelectedIndexChanged(object sender, EventArgs e)
    {
        string selectedMode = SupportedModes.SelectedValue;

        WebPartDisplayMode mode = _manager.SupportedDisplayModes[selectedMode];
        if (mode != null)
            _manager.DisplayMode = mode;
    }

</script>


<asp:DropDownList ID="SupportedModes" runat="server" 
    AutoPostBack="true"
    OnSelectedIndexChanged="SelectedIndexChanged" /> 