<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CustomerFinder.aspx.cs" Inherits="CustomerFinder" %>
<%@ Register TagPrefix="mobile" Namespace="System.Web.UI.MobileControls" Assembly="System.Web.Mobile" %>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
	<mobile:form id="MainForm" runat="server">
        <mobile:List id="Menu" runat="server" OnItemCommand="Menu_ItemCommand">
            <Item Value="A,B,C,D,E,F" Text="A-F" /> 
            <Item Value="G,H,I,J,K,L,M" Text="G-M" /> 
            <Item Value="N,O,P,Q,R,S" Text="N-S" /> 
            <Item Value="T,U,V,W,X,Y,Z" Text="T-Z" />
        </mobile:List>

        <mobile:Label id="Desc" runat="server" Text="Kunden auswhlen" />
		<mobile:TextBox id="CustInitials" runat="server" Size="5"></mobile:TextBox>
		<mobile:Command id="FindButton" runat="server" OnClick="FindButton_Click">Finde</mobile:Command>
	</mobile:form>
	
	<mobile:form id="SecondMenuForm" runat="server">
		<mobile:CustomValidator id="CustNameValidator" runat="server" ControlToValidate="CustName" ErrorMessage="Must begin with next initials"></mobile:CustomValidator>
		<mobile:List id="LetterList" runat="server" OnItemCommand="LetterList_ItemCommand"></mobile:List>
        <mobile:Label id="Label1" runat="server" Text="Kunden auswhlen" />        
    	<mobile:TextBox id="CustName" runat="server"></mobile:TextBox>
		<mobile:Command id="FindCustomerButton" runat="server" OnClick="FindCustomerButton_Click">Finde</mobile:Command>
	</mobile:form>
	
	<mobile:form id="CustomerForm" runat="server">
		<mobile:ObjectList id="CustomerList" runat="server"
			AutoGenerateFields="False" LabelField="Company">
			<Field Name="Company" DataField="companyname" Visible="False" />
			<Field Name="Address" DataField="address" />
			<Field Name="City" DataField="city" />
			<Field Name="Country" DataField="country" />
			<Field Name="Phone" DataField="phone" />
		</mobile:ObjectList>
		<mobile:Command id="BackMenuCommand" runat="server" text="Zurck"></mobile:Command>
	</mobile:form>
</body>
</html>
