using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Samples_Ch10_SiteMaps_DynUrls : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SiteMap.SiteMapResolve += new SiteMapResolveEventHandler(SiteMap_SiteMapResolve);
    }

    SiteMapNode SiteMap_SiteMapResolve(object sender, SiteMapResolveEventArgs e)
    {
        // Get the fictitious request ID
        string requestID = "[no request ID]";
        object o = e.Context.Request.QueryString["ID"];
        if (o != null)
            requestID = e.Context.Request.QueryString["ID"].ToString();

        // Make a copy of the current node
        SiteMapNode tempNode = SiteMap.CurrentNode.Clone(true);
         
        // Adjust the node
        tempNode.Url += "?ID=" + requestID;
        return tempNode;
    }
}
